@charset 'utf-8';
/* ==========================================================================
Author        :  Arif Lutfhansah
Create        :  20 April 2018
Last Update   :  2 April 2020

Contents  :
  1: Footer Section

  Copyright (c) 2020 Arif Lutfhansah
  
========================================================================== */

$background-color: #EEBECE;
$font-white: #FFFFFF;

/*
  Transition
-------------------------------------*/
@mixin transition($time) {
  -webkit-transition: all $time ease-in-out;
     -moz-transition: all $time ease-in-out;
      -ms-transition: all $time ease-in-out;
       -o-transition: all $time ease-in-out;
          transition: all $time ease-in-out;
}
/*
  Animation Delay
-------------------------------------*/
@mixin animation-delay($time) {
  -webkit-animation-delay: $time;
     -moz-animation-delay: $time;
      -ms-animation-delay: $time;
       -o-animation-delay: $time;
          animation-delay: $time;
}

/*
  Footer
-------------------------------------*/
/* --- Content ---- */
footer {
  position: relative;
  padding: 20px 0 0;
  background-color: #499AE8;
  z-index: 99;
  text-align: center;
  &::before {
    content: url('../image/ornamen-footer.png');
    position: absolute;
    top: -217px;
    right: 20px;
  }
}
#footer-top {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 50px 30px 40px;
  .content-left {
    flex: 0 0 310px;
    margin-right: 70px;
  }
  .sitemap-top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .logo {
    margin-bottom: 40px;
    img {
      width: 300px;
    }
  }
  .head {
    margin-bottom: 10px;
    font-size: 20px;
    font-weight: 700;
    color:#E8E749;
    text-transform: uppercase;
  }
  .list {
    margin-right: 30px;
    margin-bottom: 30px;
    li {
      display: inline-block;
      margin: 8px 0;
      &:last-of-type {
        &:after {
          content: "";
        }
      }
      &:after {
        content: "|";
        margin: 0 5px 0 9px;
        color: #fff;
      }
    }
    a {
      display: inline;
      padding: 5px 0;
      font-size: 18px;
      font-weight: 700;
      color: #FFFFFF;
      background: linear-gradient(to right, #E8E749, #E8E749 50%, #FFFFFF 50%);
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      background-size: 200% 100%;
      background-position: 100%;
      transition: background-position 275ms ease;
      &:hover {
        background-position: 0 100%;
      }
    }
  }
  #social-media {
    margin-bottom: 40px;
    li {
      display: inline-block;
      img {
        width: 65px;
      }
    }
  }
  .download-apps {
    margin-bottom: 30px;
    li {
      display: inline-block;
      padding-right: 10px;
    }
    img {
      width: 150px;
      height: 50px;
      object-fit: contain;
    }
    .app-store {
      width: 132px;
    }
  }
  .mnc-logo {
    .mnc-media {
      width: 140px;
      height: 65px;
      background-position: -333px -68px;
      background-color: #fff;
      border-radius: 50px;
      background-image: url(../image/sprite.png);
      background-repeat: no-repeat;
      display: block;
      zoom: 0.75;
    }
  }
}
#footer-bottom {
  padding: 15px 20px;
  text-align: center;
  color: #FFFFFF;
  background-color: #418AD0;
  .copyright {
    font-size: 13px;
    margin-bottom: 5px;
  }
  .render-time {
    font-size: 11px;
    color: #5ba4ea;
  }
}
/* --- To Top ---- */
.to-top {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 98;
  &.show {
    display: block;
  }
  i {
    padding: 10px;
    font-size: 18px;
    color: #FFFFFF;
    background-color: #499AE8;
    border-radius: 50%;
    box-shadow: 0 1px 5px 0 #D4D4D4;
  }
}
/* --- Mask Footer ---- */
.mask-footer {
  position: relative;
  bottom: 30px;
  z-index: 9;
  width: 100%;
  height: 30px;
  margin-bottom: -30px;
  text-indent: -9999px;
  background-color: #499AE8;
}